Retrieves project statuses

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

project_status
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
name

Name of the project status

string

Required

Max length: 50

is_default

Is default (auto selected when creating new project)

boolean
is_closed

Inform if this status means that the project/installation is archived

boolean

Required

sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating project_status

string
sales_organization

Embedded entity "sales_organization" when adding/updating project_status

sales_organization
code

Field used for Embedded entity (store there your ERP PK)

string

Max length: 255

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "6cb1cb65-ab77-47e8-9ba3-76866cfacf52",
  "name": "sample string 2",
  "is_default": true,
  "is_closed": true,
  "sales_organization_id": "987c4ee6-bc46-4d5b-accb-49940d8ae721",
  "sales_organization_code": "sample string 6",
  "sales_organization": {
    "id": "3a7b82dc-0ac7-42e9-90c8-e5624c41cbba",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "60544f8f-1841-41d2-a19b-c46cd8fe118e",
    "db_currency_id": "ca7b7258-b71e-4dbc-9a02-ee94a66f9192",
    "db_language_id": "0224a032-f7c5-4924-ad5b-38d43fd8df5f",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-05-04T16:57:12.1659155+00:00"
  },
  "code": "sample string 7",
  "modified_dateutc": "2026-05-04T16:57:12.1659155+00:00"
}